from .Playbooks.Playbook import FileCleanupTask, PlaybookCredentialCollection
from ..Logging.Logger import log, Severity


class SetupStep:
    def __init__(self):
        pass

    def run(self, file_cleanup_stack : list[FileCleanupTask], credentials: PlaybookCredentialCollection):
        log(f"Running setup step: {type(self).__name__}", Severity.TRACE)

    def start(self) -> bool:
        pass